|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Macros | Functions
Clock Driver
MPLABX MCC Melody Code Generator

Clock configurator driver for System and Peripheral Clock using dsPIC MCUs. More...

Collaboration diagram for Clock Driver:

## Files
file | clock.c
| This is the generated source file for CLOCK driver.

## Macros
#define | CLOCK_SystemFrequencyGet() (200000000UL)
| This macro is used to read the System clock (FOSC) Frequency configured in the MCC Melody User Interface.
#define | CLOCK_PeripheralFrequencyGet() ((uint32_t)CLOCK_SystemFrequencyGet() / (uint32_t)2)
| This macro is used to read the Peripheral Clock (FP) Frequency configured in the MCC Melody User Interface.
#define | CLOCK_InstructionFrequencyGet() ((uint32_t)CLOCK_SystemFrequencyGet() / (uint32_t)2)
| This macro is used to read the Instruction Clock (FCY) Frequency configured in the MCC Melody User Interface.

## Functions
void | CLOCK_Initialize (void)
| Initializes all the INTERNAL OSCILLATOR sources and clock switch configurations.
bool | CLOCK_AuxPllLockStatusGet (void)
| Returns Auxiliary PLL status.

## Detailed Description

Version
  Firmware Driver Version 1.0.2
  PLIB Version 1.4.1

## Macro Definition Documentation

## ◆ CLOCK_InstructionFrequencyGet

#define CLOCK_InstructionFrequencyGet | ( |  | ) | ((uint32_t)CLOCK_SystemFrequencyGet() / (uint32_t)2)

Definition at line 64 of file clock.h.

## ◆ CLOCK_PeripheralFrequencyGet

#define CLOCK_PeripheralFrequencyGet | ( |  | ) | ((uint32_t)CLOCK_SystemFrequencyGet() / (uint32_t)2)

Definition at line 57 of file clock.h.

## ◆ CLOCK_SystemFrequencyGet

#define CLOCK_SystemFrequencyGet | ( |  | ) | (200000000UL)

Definition at line 50 of file clock.h.

## Function Documentation

## ◆ CLOCK_AuxPllLockStatusGet()

bool CLOCK_AuxPllLockStatusGet | ( | void |  | ) |

Precondition
  CLOCK_Initialize() should be called for the associated function to work.

Returns
  true - Auxiliary PLL locked
  false - Auxiliary PLL not locked

Definition at line 108 of file clock.c.

## ◆ CLOCK_Initialize()

void CLOCK_Initialize | ( | void |  | ) |

Returns
  none

Definition at line 43 of file clock.c.

Here is the caller graph for this function: